%define pypi_name peewee

Name:           python-%{pypi_name}
Version:        3.14.8
Release:        %mkrel 2
Summary:        Peewee is a simple and small ORM.
License:        MIT License
Group:          Development/Python
URL:            https://github.com/nucleic/kiwi
Source:         https://github.com/coleifer/peewee/archive/%{pypi_name}-%{version}.tar.xz
Patch0:         peewee-linking.patch
BuildRequires:  pkgconfig(sqlite3)

%description
Peewee is a simple and small ORM. It has few (but expressive) concepts, making
it easy to learn and intuitive to use.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-flask
BuildRequires:  python3-sphinx
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Peewee is a simple and small ORM. It has few (but expressive) concepts, making
it easy to learn and intuitive to use.

%prep
%setup -q -n %{pypi_name}-%{version}
%apply_patches

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{pypi_name}
%{_bindir}/pwiz.py
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/%{pypi_name}.py
%{python3_sitearch}/pwiz.py
%{python3_sitearch}/playhouse
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Oct 09 2022 tex - 3.14.8-2pclos2022
- rebuild against updates

* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 3.14.8-1pclos2022
- update and rebuild for python 3.10

* Fri May 17 2019 pckg <pckg at email.cz> 3.9.5-1pclos2019
- Initial package
